import org.grails.twitter.auth.Authority
import org.grails.twitter.auth.Person
import org.grails.twitter.auth.PersonAuthority

class BootStrap {

	def init = { servletContext ->
		def userRole = Authority.findOrSaveWhere(authority: 'ROLE_USER')

		if (!Person.count()) {
			createUsers(userRole)
		}
	}

	private void createUsers(Authority userRole) {

		[jeff: 'Jeff Brown',
       graeme: 'Graeme Rocher',
       burt: 'Burt Beckwith',
       peter: 'Peter Ledbrook'].each { userName, realName ->

			def user = new Person(username: userName,
                               realName: realName,
                               password: 'password',
                               enabled: true).save(failOnError: true)
			PersonAuthority.create user, userRole, true
		}

		println "There are ${Person.count()} users"
	}
}

