package org.grails.twitter

import org.grails.twitter.auth.Person

class StatusService {

	static exposes = ['jms']
	static destination = 'queue.status'

	def twitterCache

	void onMessage(statusData) {
		log.info "creating status $statusData"
		Person author = Person.load(statusData.personId)
		new Status(message: statusData.message, author: author).save(flush: true)

		twitterCache.remove statusData.username

		def following = Person.withCriteria {
			projections {
				property 'username'
			}
			followed {
				eq 'username', statusData.username
			}
		}
		following.each { uname -> twitterCache.remove uname }
	}
}

